Subject: [conex] 1) Loss of ConEx information

From: Mirja Kühlewind <[email-masked]>
Date: Mon, 3 Jun 2013 15:09:38 +0200

Hi,

it can happen that ConEx information can get lost, e.g. a packet with a ConEx 
marking gets drop at a full router queue or the traffic gets rerouted and a 
new audit element does not have the old credit state.

This might be a problem if an audit starts penalizing a flow because of this 
wrong information even though the sender has done nothing wrong.

The question is how to handle this case? And also where to document what the 
right behavior of the audit and sender should be?

I don't think we should try to retransmit any lost marking. Especially the L 
and E markings will be out-dated by the time of the retransmit. Thus the only 
solution is to send credits instead to keep the audit happy. But how to 
detect that ConEx information got lost?

Mirja